For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Cloudflare
    • GETpayload example
    • POSThttps://social-media-posting-dev.deao.workers.dev/post
        • GETGet User Pages: https://graph.facebook.com/v25.0/me/accounts
          • POST1b or 2. Publish Post: https://graph.facebook.com/v25.0/{fb_page_id}/feed?access_token={fb_page_access_token}}&appsecret_proof={fb_appsecret_proof}
LogoLogo
CloudflareSocial Media PostingFacebookImage

1b or 2. Publish Post: https://graph.facebook.com/v25.0/{fb_page_id}/feed?access_token={fb_page_access_token}}&appsecret_proof={fb_appsecret_proof}

||View as Markdown|
POST
/v25.0/:fb_page_id/feed
POST
/v25.0/:fb_page_id/feed
$curl -X POST "https://graph.facebook.com/v25.0/996526996873368/feed?appsecret_proof=18448df21d166805b0bc19eceddc49506ce75b253b310b331f033bbf97617993&access_token=EAAFQsXjJfv0BQ3RzM0T65V46Hh9ZBuOJmZA8eFGmtlSLGaOK4FCaPyoNreZAE57UuINZBfkKIuDe0MNCjvKfHYu8PXcaZCvcfw5L3VUatHtTkWg5IwcZBS54HBOr4URppZAUlPLvm7KtKthW5Bdk2YBbiAK8lRDmHiFH109NznzvnXBlo1wqSpaMGJo3LtvDlZBSOWnSbO3tbdIXhMTSByLFhvPt" \
> -H "Content-Type: application/json" \
> -d "{//post_type: article, image or multiImage
> // \"link\": \"https://open.spotify.com/artist/3RcwD8hJMU0E5zv8d96uyZ\", //{asset_url}, Blog Post
> \"message\": \"HELLO WORLD: https://m.musicca.st/blog/1/60 \", //{facebook_message}
> \"attached_media\": [
> {
> \"media_fbid\": \"122115191445223112\"
> }
> ]
>}"
200Social Media Posting_Facebook_Image_1b or 2. Publish Post: https://graph.facebook.com/v25.0/{fb_page_id}/feed?access_token={fb_page_access_token}}&appsecret_proof={fb_appsecret_proof}_example
1{
2 "id": "996526996873368_122115191649223112",
3 "post_supports_client_mutation_id": true
4}
Was this page helpful?
Previous

  1. Upload Video: {upload_url}

Next

Get IG Connected Account ID: https://graph.facebook.com/v25.0/{fb_page_id}}fields=instagram_business_account&access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}

Built with

Path parameters

fb_page_idstringRequired

FB page of the access_token query param

Query parameters

appsecret_proofstringOptional

echo -n “FB_PAGE_ACCESS_TOKEN” | openssl dgst -sha256 -hmac “9321fa6df4b4112d66b24fdac92f1eba” | sed ‘s/^.* //’

access_tokenstringOptional
{env.FB_PAGE_ACCESS_TOKEN}

Request

This endpoint expects a string.

Response headers

Pragmastring
Alt-Svcstring
Expiresstring
x-fb-aedstring
x-fb-revstring
X-FB-Debugstring
Cache-Controlstring
x-fb-trace-idstring
x-fb-request-idstring
facebook-api-versionstring
X-FB-Connection-Qualitystring
Strict-Transport-Securitystring
x-business-use-case-usagestring
Access-Control-Allow-Originstring

Response

OK
idstring
post_supports_client_mutation_idboolean

Get IG Connected Account ID: https://graph.facebook.com/v25.0/{fb_page_id}}fields=instagram_business_account&access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}